Bug 14229 - Link to accounting tab from fines column in patron search results
Summary: Link to accounting tab from fines column in patron search results
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-20 02:15 UTC by Nicole C. Engard
Modified: 2020-05-07 21:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 14229: Add link from patron search results fine to accounting tab in patron account (2.26 KB, patch)
2020-04-15 22:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14229: Only show 'Create labels' link on staged records import when status is imported (4.79 KB, patch)
2020-04-15 23:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14229: Add link from patron search results fine to accounting tab in patron account (2.32 KB, patch)
2020-04-19 19:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 14229: Add link from patron search results fine to accounting tab in patron account (2.38 KB, patch)
2020-04-20 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14229: Remove extra spaces (1.96 KB, patch)
2020-04-20 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-05-20 02:15:19 UTC
Would be nice if on the patron search results the fine amount was clickable so you could jump to the patron's pay screen.
Comment 1 Katrin Fischer 2020-04-15 22:32:49 UTC
Created attachment 103041 [details] [review]
Bug 14229: Add link from patron search results fine to accounting tab in patron account

This adds a link to the accounting tab from the patron search results by
making the amount in the Fines column clickable.

To test:
- Make sure you have some patrons with fines, credits and 0,00
- Search for your patrons using the patron search, make sure you
  get more than one result for your search
- Check the results table - the amount should always be linked
  and lead to the patron account accounting > transactions tab.
Comment 2 Katrin Fischer 2020-04-15 23:25:29 UTC
Created attachment 103043 [details] [review]
Bug 14229: Only show 'Create labels' link on staged records import when status is imported

The label creator won't be able to add a batch for items, if they are
not imported into the database (missing itemnumber). This patch hides
the link, when the status is not imported to avoid the error situation.

To test:
- Export a record with items from your Koha installation
- Delete record an items
- Stage the record with the items - the "Create labels" link should be showing
- Try to create the labels - note error
- Apply patch
- Retry - the link should no longer show
- Import the records - the should show now
- Crate labels again - a new batch should have been created
- Verify the link on the batch # leads to the batch in the labels module

Bonus: Moves the message from the .pl file to the template to make
it translatable.
Comment 3 David Nind 2020-04-19 19:20:11 UTC
Created attachment 103222 [details] [review]
Bug 14229: Add link from patron search results fine to accounting tab in patron account

This adds a link to the accounting tab from the patron search results by
making the amount in the Fines column clickable.

To test:
- Make sure you have some patrons with fines, credits and 0,00
- Search for your patrons using the patron search, make sure you
  get more than one result for your search
- Check the results table - the amount should always be linked
  and lead to the patron account accounting > transactions tab.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Jonathan Druart 2020-04-20 10:38:39 UTC
Created attachment 103259 [details] [review]
Bug 14229: Add link from patron search results fine to accounting tab in patron account

This adds a link to the accounting tab from the patron search results by
making the amount in the Fines column clickable.

To test:
- Make sure you have some patrons with fines, credits and 0,00
- Search for your patrons using the patron search, make sure you
  get more than one result for your search
- Check the results table - the amount should always be linked
  and lead to the patron account accounting > transactions tab.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-04-20 10:38:42 UTC
Created attachment 103260 [details] [review]
Bug 14229: Remove extra spaces

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-04-20 12:38:15 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-05-07 21:47:36 UTC
enhancement not backported to 19.11.x